{
    // Imposing a fixedValue: p
    // restrict to the moving part of the mesh

    volScalarField& pField =
        const_cast<volScalarField&>
        (
            motionMesh.objectRegistry::lookupObject<volScalarField>
            (
                "p"
            )
        );

    // access the right patch of the moving mesh
    fixedValueFvPatchScalarField& pMovingPatch =
        refCast<fixedValueFvPatchScalarField>
        (
            pField.boundaryFieldRef()[movingPatchID]
        );

    // update the pressure at the wall
    scalarField pPatchSize(pMovingPatch.size());

    // updating BL values
    scalarField pressureMapw           = pressureMap.boundaryField()[movingPatchID];
    scalar p_total_w                   = BL.pw(runTime.value());
    scalar p_dyn                       = BL.p_dyn(runTime.value());
    scalarField p_total_w_TecplotTable = BL.pw(mesh, movingPatchID);

    if (BL.pressureFactorOn(runTime.value()) == 1)
    {
        forAll(pPatchSize, i)
        {
            pMovingPatch[i] =
                (p_total_w - p_dyn ) +
                p_dyn * pressureMapw[i]; //p0.value(); //+runTime.value()*p0.value();
        }
    }
    else
    {
        forAll (pPatchSize, i)
        {
            if (readBoundaryTecplotTable)
            {
                pMovingPatch[i] = p_total_w_TecplotTable[i];
            }
            else
            {

                pMovingPatch[i] = p_total_w ; //p0.value(); //+runTime.value()*p0.value();
            }
        }
    } // if ((BL.pressureFactorOn(runTime.value()) == 1)) else
}
