IOdictionary setCase
(
    IOobject
    (
        "simulationOptions/setCase",
        runTime.constant(),
        runTime.db(),
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

// Boundary condition setup
Switch cfd = setCase.lookupOrDefault<Switch>("cfd", "no");
Switch origin = setCase.lookupOrDefault<Switch>("origin", "yes");
Switch convectiveBoundaryLayer(setCase.lookup("convectiveBoundaryLayer"));
scalar failureFraction = setCase.lookupOrDefault<scalar>("failureFraction", 0.0);
int physicsBasedErosionModel = setCase.lookupOrDefault<int>("physicsBasedErosionModel", 0);
Switch volAblation(setCase.lookup("volAblation"));
Switch constrainedEquilibrium = setCase.lookupOrDefault<Switch>("constrainedEquilibrium", "no");
scalar erosionRate = setCase.lookupOrDefault<scalar>("erosionRate", 0.0);
scalar wallSpeciesDiffusion = setCase.lookupOrDefault<scalar>("wallSpeciesDiffusion", 1);

// Options for axisymmetrical fluxes
Switch axiSymmetricalFlux(setCase.lookup("axiSymmetricalFlux"));
vector fluxFactorNormal(setCase.lookup("fluxFactorNormal"));
vector fluxFactorCenter(setCase.lookup("fluxFactorCenter"));
Switch fluxFactorProjection(setCase.lookup("fluxFactorProjection"));

// In-depth model setup
Switch finiteRate(setCase.lookup("finiteRate"));
Switch multiComponent(setCase.lookup("multiComponent"));
Switch elementConservation(setCase.lookup("elementConservation"));
Switch mutationTT(setCase.lookup("mutationTT"));
Switch mutationBprime(setCase.lookup("mutationBprime"));
Switch detailedSolidEnthalpies = setCase.lookupOrDefault<Switch>("detailedSolidEnthalpies", "no");
Switch verifyThermalEquilibrium = setCase.lookupOrDefault<Switch>("verifyThermalEquilibrium", "no");
