// read and store the virgin-material property table into the RAM for faster access
	Info << "Reading virgin material properties" << nl; 

//	OFstream virginThermoOutputFile ("virginThermoOut");  // opens an output file
	IFstream virginThermo ("constant/porousMat/data/virgin");  // opens an input file
	IFstream virginThermoTemp ("constant/porousMat/data/virgin");  // opens an input file
   
	if (virginThermo.good()==false) // checks the input file is opened
	{
	Info << "virgin material file not found" << nl; 
	exit (1); // exits otherwise
	}

	Info << "The virgin material table must have 9 columns: p, T, cp, h, ki, kj, kk, eps, alpha." << nl;
	int columnTableV=9; int rawTableV=0;
	scalar tempV, rawTableFracV, rawTableIntV;	int i_rawV=0;
	while(true)
		{	
		virginThermoTemp >> tempV; 
		if(virginThermoTemp.eof()==1){break;}
		i_rawV++;
		}
	rawTableFracV=modf(static_cast<scalar>(i_rawV) / static_cast<scalar>(columnTableV), &rawTableIntV);
	if (rawTableFracV!=0) {Info << "... and it does not seem to have 9 columns." << nl;
	Info << rawTableIntV << " lines and " << rawTableFracV * columnTableV << " 'scalar' have been read."<< nl;
	exit (1);}
	else {
	rawTableV = i_rawV / columnTableV;
	Info << "The virgin material table has been read (" << rawTableV << " lines)."<< nl;}


	RectangularMatrix<scalar> virginThermoTable(rawTableV, columnTableV+1);
        for(int x=0;x<rawTableV;x++)
        {
  	for(int i=0;i<columnTableV;i++)
  	{
    	virginThermo >> virginThermoTable[x][i];
//    	virginThermoOutputFile << virginThermoTable[x][i] << "	";
     	}
// 	virginThermoOutputFile << nl;
	}

// We precompute and add the sensible enthalpy as a last column hs = int(cp(T)dT)
        virginThermoTable[0][9]=0;
	for(int x=1;x<rawTableV;x++)
        { virginThermoTable[x][9] += virginThermoTable[x-1][9]
					+ (virginThermoTable[x][2] + virginThermoTable[x-1][2])/2 
					* (virginThermoTable[x][1] - virginThermoTable[x-1][1]);
	}

// "virgin" is an object of the class materialProperties, which handles the material properties interpolations when called
	materialProperties virgin(virginThermoTable);

   Info << "The virgin material properties have been read." << nl; 
// Info << "Process killed after reading the virgin material properties table." << nl; return (0);  // exits without error
// END OF THE IO TEST
