set terminal pdf enhanced size 8,5
set xlabel "x (m)"
set ylabel "Fiber radius, r (m)" 
set y2label "Oxygen concentration, [O2] (mol/m^3)"
set key outside
set ytics nomirror
set y2tics
set xrange [0: 0.063]
set autoscale y
set autoscale y2
set key inside bottom 
set output 'rFXiprofile.pdf' 
set title "Oxidation of a carbon fiber preform at 898 K under dry air"
plot \
"../output/rFProfile0"  using 1:2 with lines lw 3 title 'r, t=0', \
"../output/rFProfile1"  using 1:2 with lines lw 3  title 't=10 min', \
"../output/rFProfile3"  using 1:2 with lines lw 3 title '30 min', \
"../output/rFProfile6"  using 1:2 with lines lw 3 title '1 hour', \
"../output/XiProfile0"  using 1:2 axes x1y2 with lines lw 2 title '[O2], t=0', \
"../output/XiProfile1"  using 1:2 axes x1y2 with lines lw 2 title 't= 10 min', \
"../output/XiProfile3"  using 1:2 axes x1y2 with lines lw 2 title '30 min', \
"../output/XiProfile6"  using 1:2 axes x1y2 with lines lw 2 title '1 hour'
